<template>
  <div class="banners-slider">
    <h3 class="banners-slider__header">
      Special offers
    </h3>
    <div class="banners-slider__viewer">
      <middle-banner v-for="banner in this.banners"
                     :header="banner.header"
                     :color="banner.color"
                     :image="banner.image"
                     :subheader="banner.subheader"
                     :link="banner.link"
                     :btn-name="banner.btnName"
                     :key="banner.header"
      ></middle-banner>
    </div>
  </div>
</template>

<script>
    import MiddleBanner from "@/components/banners/MiddleBanner";

    export default {
        name: "BannerSlider",
        components: {MiddleBanner},
        data: function () {
            return {
                banners: [
                    {
                        header: "🀄 It's mahjong time!",
                        image: require('../../assets/img/svg/main/game1.png'),
                        subheader: 'Hot Mahjong action',
                        color: 'violet',
                        link: '#',
                        btnName: 'Read more',
                    },
                    {
                        header: "Mr. Hallow-Win's free spins!",
                        image: require('../../assets/img/svg/main/game1.png'),
                        subheader: 'Win an Even Share of €2,000!',
                        color: 'orange',
                        link: '#',
                        btnName: 'Read more',
                    },
                    {
                        header: "Best Slot of the Month",
                        image: require('../../assets/img/svg/main/game1.png'),
                        subheader: 'Win an Even Share of €2,000!',
                        color: 'green',
                        link: '#',
                        btnName: 'Read more',
                    },
                ]
            }
        },
    }
</script>

<style lang="sass" scoped>
  .banners-slider
    margin: rem(100) 0
    width: 100%
    text-align: left
    
    &__header
      color: $textColorMain
      font-size: rem(24)
      line-height: rem(32)
      font-family: $Avenir
      font-weight: 900
      text-align: left
      margin-bottom: rem(30)
    
    &__viewer
      width: 200%
</style>